package cn.iocoder.yudao.module.pms.service.qhse.file;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.pms.controller.admin.qhse.file.vo.QhseInfoPageReqVO;
import cn.iocoder.yudao.module.pms.controller.admin.qhse.file.vo.QhseInfoRespVO;
import cn.iocoder.yudao.module.pms.controller.admin.qhse.file.vo.QhseInfoSaveReqVO;
import cn.iocoder.yudao.module.pms.dal.dataobject.qhse.file.QhseInfoDO;

import javax.validation.Valid;
import java.util.List;

/**
 * QHSE文件资料 Service 接口
 *
 * @author 超级管理员
 */
public interface QhseInfoService {
    List<QhseInfoRespVO> getAllChildContentFile(Long classId);
    List<QhseInfoRespVO> getChildContentFile(Long classId);
    /**
     * 创建QHSE文件资料
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    void createQhseInfo(@Valid QhseInfoSaveReqVO createReqVO);

    /**
     * 更新QHSE文件资料
     *
     * @param updateReqVO 更新信息
     */
    void updateQhseInfo(@Valid QhseInfoSaveReqVO updateReqVO);

    /**
     * 删除QHSE文件资料
     *
     * @param id 编号
     */
    void deleteQhseInfo(Long id);

    /**
     * 获得QHSE文件资料
     *
     * @param id 编号
     * @return QHSE文件资料
     */
    QhseInfoDO getQhseInfo(Long id);

    /**
     * 获得QHSE文件资料分页
     *
     * @param pageReqVO 分页查询
     * @return QHSE文件资料分页
     */
    PageResult<QhseInfoDO> getQhseInfoPage(QhseInfoPageReqVO pageReqVO);

}